import { defineComponent, useCssVars, unref, reactive, toRefs, openBlock, createElementBlock, createElementVNode, toDisplayString, Fragment, renderList, createVNode, createTextVNode, pushScopeId, popScopeId } from "vue";
import { NImage, NNumberAnimation } from "naive-ui";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _withScopeId = (n) => (pushScopeId("data-v-1873b20b"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "build" };
const _hoisted_2 = { class: "title" };
const _hoisted_3 = { class: "build_yulan" };
const _hoisted_4 = { class: "now_txt" };
const _hoisted_5 = { class: "now_t" };
const _hoisted_6 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("div", { class: "now_bjt" }, null, -1));
const _hoisted_7 = { class: "now_nume" };
const _hoisted_8 = { class: "now_num" };
const _hoisted_9 = { class: "title2" };
const __default__ = defineComponent({ name: "EBoundingBox03" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    useCssVars((_ctx) => ({
      "372f2026": unref(titleColor),
      "7165ea45": unref(titleSize) + "px",
      "88c38402": unref(titleLeft) + "px",
      "8416caea": unref(titleTop) + "px",
      "a2963668": unref(titleColor2),
      "70b6d462": unref(titleSize2) + "px",
      "77128d56": unref(titleLeft2) + "px",
      "0cebee49": unref(titleTop2) + "px"
    }));
    const state = reactive({
      datas: []
    });
    const {
      titleText,
      titleColor,
      titleSize,
      titleLeft,
      titleTop,
      titleText2,
      titleColor2,
      titleSize2,
      titleLeft2,
      titleTop2,
      datas
    } = toRefs(props.chartConfig.option);
    state.datas = datas;
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, toDisplayString(unref(titleText)), 1),
        createElementVNode("div", _hoisted_3, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(state.datas, (item, i) => {
            return openBlock(), createElementBlock("div", {
              key: i,
              class: "yulan_now"
            }, [
              createVNode(unref(NImage), {
                "object-fit": "fill",
                "preview-disabled": "",
                src: item.imgSrc,
                class: "bq"
              }, null, 8, ["src"]),
              createElementVNode("div", _hoisted_4, [
                createElementVNode("div", _hoisted_5, toDisplayString(item.key), 1),
                _hoisted_6,
                createElementVNode("div", _hoisted_7, [
                  createElementVNode("span", _hoisted_8, [
                    createVNode(unref(NNumberAnimation), {
                      ref_for: true,
                      ref: "numberAnimationInstRef",
                      to: item.value
                    }, null, 8, ["to"])
                  ]),
                  createTextVNode("(" + toDisplayString(item.unit) + ") ", 1)
                ])
              ])
            ]);
          }), 128))
        ]),
        createElementVNode("div", _hoisted_9, toDisplayString(unref(titleText2)), 1)
      ]);
    };
  }
});
var _EBoundingBox03 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-1873b20b"]]);
export { _EBoundingBox03 as default };
